import { ReactNode } from 'react';
export type CanvasContextType = {
    canvasSize: {
        width: number;
        height: number;
    };
    headerOffset: {
        top: number;
        left: number;
    };
    scrollBar?: {
        radius: number;
        margin: number;
    };
    multisample?: number | undefined;
};
export declare const CanvasContext: import("react").Context<CanvasContextType | null>;
export declare const CanvasContextProvider: (props: CanvasContextType & {
    children?: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare const useCanvasContext: () => CanvasContextType;
