import React from 'react';
import { GridProps } from './GridProps';
import { GridHandles } from './GridHandles';
/**
 * A React component that renders a grid with the specified properties.
 *
 * @param props - The properties for the Grid component.
 * @returns A React component that renders a grid.
 */
export declare const Grid: React.MemoExoticComponent<React.ForwardRefExoticComponent<GridProps & React.RefAttributes<GridHandles>>>;
