/// <reference types="@webgpu/types" />
import { GridContextProps } from './GridContext';
import { CanvasContextType } from './CanvasContext';
export declare const F32UNIFORMS_LENGTH = 8;
export declare const F32UNIFORMS_BYTE_LENGTH: number;
export declare const createF32UniformBufferSource: (source: Float32Array, canvasContext: CanvasContextType, gridContext: GridContextProps, overscroll: {
    x: number;
    y: number;
}) => Float32Array;
export declare const U32UNIFORMS_LENGTH = 6;
export declare const U32UNIFORMS_BYTE_LENGTH: number;
export declare const createUint32BufferSource: (source: Uint32Array, gridContext: GridContextProps, numCellsToShow: {
    numColumnsToShow: number;
    numRowsToShow: number;
}, scrollBarState: number, index: number) => Uint32Array;
export declare const createViewportBuffer: (label: string, device: GPUDevice, numViewports: number) => GPUBuffer;
