import React, { ReactNode } from 'react';
export type ViewportContextProps = {
    viewportIndex: number;
    numViewports: number;
    viewportStates: Float32Array;
    initialOverscroll?: {
        x: number;
        y: number;
    };
};
declare const ViewportContext: React.Context<ViewportContextProps | null>;
export declare const ViewportContextProvider: (props: ViewportContextProps & {
    children: ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export declare const useViewportContext: () => ViewportContextProps;
export default ViewportContext;
