/// <reference types="@webgpu/types" />
import React, { ReactNode } from 'react';
type WebGPUDeviceContextType = GPUDevice | null;
export declare const WebGPUDeviceContext: React.Context<WebGPUDeviceContextType>;
export declare const WebGPUDeviceContextProvider: ({ children, }: {
    children?: ReactNode;
}) => import("react/jsx-runtime").JSX.Element | null;
export declare const useWebGPUDeviceContext: () => GPUDevice;
export {};
