/// <reference types="@webgpu/types" />
import React, { ReactNode } from 'react';
export type WebGPUDisplayContextType = {
    gpuCanvasContext: GPUCanvasContext;
    textureFormat: GPUTextureFormat;
    texture: GPUTexture;
};
export declare const WebGPUDisplayContext: React.Context<WebGPUDisplayContextType | null>;
export declare const WebGPUDisplayContextProvider: ({ children, }: {
    children?: ReactNode;
}) => import("react/jsx-runtime").JSX.Element | null;
export declare const useWebGPUDisplayContext: () => WebGPUDisplayContextType;
